Skip to main content
Section ID: DOC-API-MODEL-schema-1lj1ellabu#overview

ObjectRef

ObjectRef references an object in storage

Meaning and usage​

Section ID: DOC-API-MODEL-schema-1lj1ellabu#meaning

See the definition above.

Usage profiles​

Section ID: DOC-API-MODEL-schema-1lj1ellabu#fields

UsageFields and validation
In responsesView fields

In responses​

Section ID: DOC-API-MODEL-schema-1lj1ellabu#response

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
Section ID: DOC-API-MODEL-schema-1lj1ellabu#field-bucketSection ID: DOC-API-MODEL-schema-1lj1ellabu#response-field-bucketbucketstringOptionalStorage bucket containing the object.
Section ID: DOC-API-MODEL-schema-1lj1ellabu#field-keySection ID: DOC-API-MODEL-schema-1lj1ellabu#response-field-keykeystringOptionalObject key within the selected storage bucket.
Section ID: DOC-API-MODEL-schema-1lj1ellabu#field-providerSection ID: DOC-API-MODEL-schema-1lj1ellabu#response-field-providerproviderstring (STORAGE_PROVIDER_GCS, STORAGE_PROVIDER_S3, STORAGE_PROVIDER_FILESYSTEM, STORAGE_PROVIDER_AZURE_BLOB) or integer (int32)Optional; explicit presenceStorage provider used to access the object.

Values of provider​

Section ID: DOC-API-MODEL-schema-1lj1ellabu#response-values-provider

Backend that stores the file bytes associated with a storage record.

ValueNo.FormMeaning
STORAGE_PROVIDER_GCS0CanonicalGoogle Cloud Storage.
STORAGE_PROVIDER_S31CanonicalSee meaning below.
STORAGE_PROVIDER_FILESYSTEM2CanonicalSee meaning below.
STORAGE_PROVIDER_AZURE_BLOB3CanonicalAzure Blob Storage.

STORAGE_PROVIDER_S3

Amazon S3 or a storage service implementing the S3 interface.

Amazon S3 (and compatibles)

STORAGE_PROVIDER_FILESYSTEM

A filesystem accessible to the storage service.

Local filesystem

Where used​

Section ID: DOC-API-MODEL-schema-1lj1ellabu#where-used

ReferenceRelationship
Generate a pre-signed download URLPOST /api/v1/storage/generate-download-url
Get file metadataPOST /api/v1/storage/get-file-metadata
Get storage statePOST /api/v1/storage/get-state
List files and folders in a directoryPOST /api/v1/storage/list-files
Move or rename a filePOST /api/v1/storage/move-file
Register a file uploaded via pre-signed URLPOST /api/v1/storage/register-uploaded-file
Search filesPOST /api/v1/storage/search-files
Update file metadataPOST /api/v1/storage/update-file-metadata
Upload a file (deprecated)POST /api/v1/storage/upload-file
Models containing this value
ModelRelationship
FileInfoNested in model

Download the public reference contract.

Document ID: DOC-API-MODEL-schema-1lj1ellabu